<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Create_ContentPage.aspx.cs" Inherits="KstCMS.KstCMS_Manager.CreateWeb.Html.Create_ContentPage" %>

<html>
<head id="Head1"  runat="server">
    <title></title>
    <script type="text/javascript">
        function check() {
            var t = confirm('真的开始生成码？');
            if (t) {
                var frm = document.forms[0];
                var i = 0;
                for (var n = 0; n < frm.ProLBListBox.options.length; n++) {
                    if (frm.ProLBListBox.options[n].selected == true) {
                        i++;
                    }
                }
                if (i > 0) {
                    //  alert(frm.ProLBListBox.options[frm.ProLBListBox.selectedIndex].value);
                    document.getElementById("UpdateProgress1").innerHTML = "正在生成,请稍后...";
                    return true;
                } else {
                    alert("请先选择要生成的项目！");
                    document.getElementById("UpdateProgress1").innerHTML = "正在处理,请稍后...";
                    return false;
                }
            }
            else {
                return false;
            }
        }
        function check1() {
            var t = confirm('真的开始生成码？');
            if (t) {
                var frm = document.forms[0];
                var i = 0;
                for (var n = 0; n < frm.WzLBlistbox.options.length; n++) {
                    if (frm.WzLBlistbox.options[n].selected == true) {
                        i++;
                    }
                }
                if (i > 0) {
                    //  alert(frm.ProLBListBox.options[frm.ProLBListBox.selectedIndex].value);
                    document.getElementById("UpdateProgress1").innerHTML = "正在生成,请稍后...";
                    return true;
                } else {
                    alert("请先选择要生成的项目！");
                    document.getElementById("UpdateProgress1").innerHTML = "正在处理,请稍后...";
                    return false;
                }
            }
            else {
                return false;
            }
        }

        function IntMsg() {
            document.getElementById("UpdateProgress1").innerHTML = "正在加载数据,请稍后...";
        }

    </script>


</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" AllowCustomErrorsRedirect="false">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
    <div class="mainbox">
<table width="100%" border="0" cellspacing="0" cellpadding="4" style=" border-bottom:1px solid #cccccc">
  <tr>
    <td>
        <asp:Label ID="Label1" runat="server" Text="选择站点："></asp:Label> <asp:DropDownList ID="drp_SiteList" runat="server" AutoPostBack="true">
        </asp:DropDownList>
        <asp:Label ID="Label2" runat="server" Text="选择导航："></asp:Label> <asp:DropDownList ID="drp_MenuList" runat="server" AutoPostBack="true">
        </asp:DropDownList>
    </td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
    <td valign="top">
    <fieldset>
    <legend><b>1.产品内容</b></legend>
    <div style="padding:4px; line-height:25px">
    请选中要生成的项：<br />
        <asp:ListBox ID="ProLBListBox" runat="server" SelectionMode="Multiple" Rows="10" Width="300">
        </asp:ListBox><br />
        <asp:Button ID="ProLB_btn" runat="server" Text="开始生成" OnClientClick="return check();" /> 提示：按下CTRL键可先择多项。
        </div>
    </fieldset>
    </td>

   <td valign="top">
    <fieldset>
    <legend><b>2.文章内容</b></legend>
    <div style="padding:4px; line-height:25px">
    请选中要生成的项：<br />
        <asp:ListBox ID="WzLBlistbox" runat="server" SelectionMode="Multiple" Rows="10" Width="300">
        
        </asp:ListBox><br />
        <asp:Button ID="WzListBtn" runat="server" Text="开始生成" OnClientClick="return check1();" /> 提示：按下CTRL键可先择多项。
        </div>
    </fieldset>
    </td>

  </tr>
</table>
</div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <ProgressTemplate>
        正在处理,请稍等...
    </ProgressTemplate>
    </asp:UpdateProgress>
    </form>
</body>
</html>
